AuditQuery (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query
Interface AuditQuery

All Known Implementing Classes:
  AbstractAuditQuery, EntitiesAtRevisionQuery, EntitiesModifiedAtRevisionQuery, RevisionsOfEntityQuery

    public interface AuditQuery

See Also:
  `Criteria`

Method Summary
`AuditQuery` | `add(AuditCriterion criterion)`
`AuditQuery` | `addOrder(AuditOrder order)`
`AuditQuery` | `addProjection(AuditProjection projection)`
`List` | `getResultList()`
`Object` | `getSingleResult()`
`AuditQuery` | `setCacheable(boolean cacheable)`
`AuditQuery` | `setCacheMode(CacheMode cacheMode)`
`AuditQuery` | `setCacheRegion(String cacheRegion)`
`AuditQuery` | `setComment(String comment)`
`AuditQuery` | `setFirstResult(int firstResult)`
`AuditQuery` | `setFlushMode(FlushMode flushMode)`
`AuditQuery` | `setLockMode(LockMode lockMode)`
`AuditQuery` | `setMaxResults(int maxResults)`
`AuditQuery` | `setTimeout(int timeout)`

Method Detail

### getResultList

    List getResultList()
                       throws AuditException

  Throws:
    `AuditException`

### getSingleResult

    Object getSingleResult()
                           throws AuditException,
                                  NonUniqueResultException,
                                  NoResultException

  Throws:
    `AuditException`
    `NonUniqueResultException`
    `NoResultException`

### add

    AuditQuery add(AuditCriterion criterion)

### addProjection

    AuditQuery addProjection(AuditProjection projection)

### addOrder

    AuditQuery addOrder(AuditOrder order)

### setMaxResults

    AuditQuery setMaxResults(int maxResults)

### setFirstResult

    AuditQuery setFirstResult(int firstResult)

### setCacheable

    AuditQuery setCacheable(boolean cacheable)

### setCacheRegion

    AuditQuery setCacheRegion(String cacheRegion)

### setComment

    AuditQuery setComment(String comment)

### setFlushMode

    AuditQuery setFlushMode(FlushMode flushMode)

### setCacheMode

    AuditQuery setCacheMode(CacheMode cacheMode)

### setTimeout

    AuditQuery setTimeout(int timeout)

### setLockMode

    AuditQuery setLockMode(LockMode lockMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.